DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | List of all members
OFStackLink< T > Struct Template Reference

template class used to store stack entries. More...

Inheritance diagram for OFStackLink< T >:

## Public Member Functions
| OFStackLink (const T &i)
| constructor
virtual | ~OFStackLink ()
| destructor
Public Member Functions inherited from OFStackLinkBase
| OFStackLinkBase ()
| default constructor
virtual | ~OFStackLinkBase ()
| destructor

## Public Attributes
T | info
| element on stack
Public Attributes inherited from OFStackLinkBase
OFStackLinkBase * | next
| pointer to next entry in list

## Private Member Functions
| OFStackLink (const OFStackLink< T > &)
| private undefined copy constructor
OFStackLink< T > & | operator= (const OFStackLink< T > &)
| private undefined copy assignment operator

## Detailed Description

template<class T>
struct OFStackLink< T >

template class used to store stack entries.

Implicitly used by OFStack, should not be called by users.

## Constructor & Destructor Documentation

## ◆ OFStackLink()

template<class T>

OFStackLink< T >::OFStackLink | ( | const T & | i | ) |
| inline

constructor

Parameters

  i | element maintain by this object

References OFStackLinkBase::OFStackLinkBase(), and info.

Referenced by OFStackLink(), and operator=().

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofstack.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2